Subject: bug#48446: 28.0.50; Native compile failure during bootstrap

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 16 May 2021 01:22:32 -0400

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 15 May 2021 20:17:00 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: Alan Mackenzie <[email-masked]>, [email-masked]
>> 
>> As you see, the native_comp_u member is non-NULL.  But still Ffuncall
>> called funcall_subr, which AFAIU means it thought that
>> Qminibuffer_inactive_mode is not a natively-compiled function.
>> 
>> What are we missing in this case? why doesn't Emacs recognize
>> Qminibuffer_inactive_mode as a natively-compiled function?  Is this
>> too early during startup, and if so, how to we call Lisp at this
>> stage?
>
> I think I succeeded to fix this now, but I'd still like to know
> why the original code was wrong and how to avoid that in the future.

Your further questions are surely worth getting answered, but I can
attest that your patch solves this problem for me.  Thank you!

-- 
Michael Welsh Duggan
([email-masked])